Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Event Subscription Operations
DELETEEvent Subscription OperationsSince 2.3SynchronousAuth Required
UnsubscribeEvent
UnsubscribeEvent
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
deleteModeStringOptional.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
DELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}Endpoint
DELETE/zstack/v1/zwatch/events/subscriptions/{uuid}
/zstack/v1/zwatch/events/subscriptions/{uuid}
Request Example
curl -X DELETE 'http://{host}/zstack/v1/zwatch/events/subscriptions/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"deleteMode":"<deleteMode>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
